org.apache.commons.compress.archivers.dump

## Class ShortFileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.compress.archivers.dump.DumpArchiveException
        - - org.apache.commons.compress.archivers.dump.ShortFileException

- All Implemented Interfaces:
    Serializable

      public class ShortFileException
      extends DumpArchiveException

  Short File Exception. There was an unexpected EOF when reading the input stream.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortFileException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortFileException

          public ShortFileException()

Copyright © 2016 The Apache Software Foundation. All rights reserved.